Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j2meunit.framework
Class TestFailure

    java.lang.Object
      |
      +--j2meunit.framework.TestFailure

public class TestFailure
extends java.lang.Object

A `TestFailure` collects a failed test together with the caught exception.

See Also:
  `TestResult`

Field Summary
`protected Test` | `fFailedTest`
`protected java.lang.Throwable` | `fThrownException`

Constructor Summary
`TestFailure(Test failedTest, java.lang.Throwable thrownException)` Constructs a TestFailure with the given test and exception.

Method Summary
`Test` | `failedTest()` Gets the failed test.
`java.lang.Throwable` | `thrownException()` Gets the thrown exception.
`java.lang.String` | `toString()` Returns a short description of the failure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fFailedTest

    protected Test fFailedTest

### fThrownException

    protected java.lang.Throwable fThrownException

Constructor Detail

### TestFailure

    public TestFailure(Test failedTest,
                       java.lang.Throwable thrownException)

  Constructs a TestFailure with the given test and exception.

Parameters:
  `failedTest` - The failed test
  `thrownException` - The causing exception

Method Detail

### failedTest

    public Test failedTest()

  Gets the failed test.

  Returns:
    The failed test

### thrownException

    public java.lang.Throwable thrownException()

  Gets the thrown exception.

  Returns:
    The exception causing the failure

### toString

    public java.lang.String toString()

  Returns a short description of the failure.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string describing the failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD